Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.jca.ra
Interface JEConnectionFactory

All Superinterfaces:
  Referenceable, Serializable

    public interface JEConnectionFactory

extends javax.resource.Referenceable, Serializable

An application may obtain a `JEConnection` in this manner:

        InitialContext iniCtx = new InitialContext();
        Context enc = (Context) iniCtx.lookup("java:comp/env");
        Object ref = enc.lookup("ra/JEConnectionFactory");
        JEConnectionFactory dcf = (JEConnectionFactory) ref;
        JEConnection dc = dcf.getConnection(envDir, envConfig);

See <JEHOME>/examples/jca/HOWTO-**.txt and <JEHOME>/examples/jca/simple/SimpleBean.java for more information on how to build the resource adapter and use a JEConnection.

Method Summary
`JEConnection` | `getConnection(String jeRootDir, EnvironmentConfig envConfig)`
`JEConnection` | `getConnection(String jeRootDir, EnvironmentConfig envConfig, TransactionConfig transConfig)`

Methods inherited from interface javax.resource.Referenceable
`setReference`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Method Detail

### getConnection

    JEConnection getConnection(String jeRootDir,
                               EnvironmentConfig envConfig)
                               throws JEException

  Throws:
    `JEException`

### getConnection

    JEConnection getConnection(String jeRootDir,
                               EnvironmentConfig envConfig,
                               TransactionConfig transConfig)
                               throws JEException

  Throws:
    `JEException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.